:mod:`traits.trait_types` Module
================================

.. automodule:: traits.trait_types
    :no-members:

Traits
------

.. autoclass:: Any
   :show-inheritance:

.. autoclass:: BaseInt
   :show-inheritance:

.. autoclass:: Int
   :show-inheritance:

.. autoclass:: BaseFloat
   :show-inheritance:

.. autoclass:: Float
   :show-inheritance:

.. autoclass:: BaseComplex
   :show-inheritance:

.. autoclass:: Complex
   :show-inheritance:

.. autoclass:: BaseStr
   :show-inheritance:

.. autoclass:: Str
   :show-inheritance:

.. autoclass:: Title
   :show-inheritance:

.. autoclass:: BaseBytes
   :show-inheritance:

.. autoclass:: Bytes
   :show-inheritance:

.. autoclass:: BaseBool
   :show-inheritance:

.. autoclass:: Bool
   :show-inheritance:

.. autoclass:: BaseCInt
   :show-inheritance:

.. autoclass:: CInt
   :show-inheritance:

.. autoclass:: BaseCFloat
   :show-inheritance:

.. autoclass:: CFloat
   :show-inheritance:

.. autoclass:: BaseCComplex
   :show-inheritance:

.. autoclass:: CComplex
   :show-inheritance:

.. autoclass:: BaseCStr
   :show-inheritance:

.. autoclass:: CStr
   :show-inheritance:

.. autoclass:: BaseCBytes
   :show-inheritance:

.. autoclass:: CBytes
   :show-inheritance:

.. autoclass:: BaseCBool
   :show-inheritance:

.. autoclass:: CBool
   :show-inheritance:

.. autoclass:: String
   :show-inheritance:

.. autoclass:: Regex
   :show-inheritance:

.. autoclass:: Code
   :show-inheritance:

.. autoclass:: HTML
   :show-inheritance:

.. autoclass:: Password
   :show-inheritance:

.. autoclass:: BaseCallable
   :show-inheritance:

.. autoclass:: Callable
   :show-inheritance:

.. autoclass:: BaseType
   :show-inheritance:

.. autoclass:: This
   :show-inheritance:

.. autoclass:: self
   :show-inheritance:

.. autoclass:: Function
   :show-inheritance:

.. autoclass:: Method
   :show-inheritance:

.. autoclass:: Module
   :show-inheritance:

.. autoclass:: Python
   :show-inheritance:

.. autoclass:: ReadOnly
   :show-inheritance:

.. autoclass:: Disallow
   :show-inheritance:

.. autoclass:: Constant
   :show-inheritance:

.. autoclass:: Delegate
   :show-inheritance:

.. autoclass:: DelegatesTo
   :show-inheritance:

.. autoclass:: PrototypedFrom
   :show-inheritance:

.. autoclass:: Expression
   :show-inheritance:

.. autoclass:: PythonValue
   :show-inheritance:

.. autoclass:: BaseFile
   :show-inheritance:

.. autoclass:: File
   :show-inheritance:

.. autoclass:: BaseDirectory
   :show-inheritance:

.. autoclass:: Directory
   :show-inheritance:

.. autoclass:: BaseRange
   :show-inheritance:

.. autoclass:: Range
   :show-inheritance:

.. autoclass:: BaseEnum
   :show-inheritance:

.. autoclass:: Enum
   :show-inheritance:

.. autoclass:: BaseTuple
   :show-inheritance:

.. autoclass:: Tuple
   :show-inheritance:

.. autoclass:: ValidatedTuple
   :show-inheritance:

.. autoclass:: List
   :show-inheritance:

.. autoclass:: CList
   :show-inheritance:

.. autoclass:: PrefixList
   :show-inheritance:

.. autoclass:: Set
   :show-inheritance:

.. autoclass:: CSet
   :show-inheritance:

.. autoclass:: Dict
   :show-inheritance:

.. autoclass:: Map
   :show-inheritance:

.. autoclass:: PrefixMap
   :show-inheritance:

.. autoclass:: BaseClass
   :show-inheritance:

.. autoclass:: BaseInstance
   :show-inheritance:

.. autoclass:: Instance
   :show-inheritance:

.. autoclass:: Supports
   :show-inheritance:

.. autoclass:: AdaptsTo
   :show-inheritance:

.. autoclass:: Type
   :show-inheritance:

.. autoclass:: Subclass
   :show-inheritance:

.. autoclass:: Event
   :show-inheritance:

.. autoclass:: Button
   :show-inheritance:

.. autoclass:: ToolbarButton
   :show-inheritance:

.. autoclass:: Union
   :show-inheritance:

.. autoclass:: Either
   :show-inheritance:

.. autoclass:: Symbol
   :show-inheritance:

.. autoclass:: UUID
   :show-inheritance:

.. autoclass:: WeakRef
   :show-inheritance:

.. autoclass:: Date
   :show-inheritance:

.. autoclass:: Datetime
   :show-inheritance:

.. autoclass:: Time
   :show-inheritance:


Deprecated Traits
-----------------

The following :class:`~.TraitType` classes and instances are deprecated,
and may be removed in a future version of Traits.

.. deprecated:: 6.0.0

.. autodata:: AdaptedTo

.. autodata:: BaseUnicode

.. autodata:: Unicode

.. autodata:: BaseCUnicode

.. autodata:: CUnicode

.. autodata:: BaseLong

.. autodata:: Long

.. autodata:: BaseCLong

.. autodata:: CLong

.. autodata:: false

.. autodata:: true

.. autodata:: undefined

.. autodata:: ListInt

.. autodata:: ListFloat

.. autodata:: ListStr

.. autodata:: ListUnicode

.. autodata:: ListComplex

.. autodata:: ListBool

.. autodata:: ListFunction

.. autodata:: ListMethod

.. autodata:: ListThis

.. autodata:: DictStrAny

.. autodata:: DictStrStr

.. autodata:: DictStrInt

.. autodata:: DictStrFloat

.. autodata:: DictStrBool

.. autodata:: DictStrList


Private Classes
---------------

.. autoclass:: HandleWeakRef

Functions
---------

.. autofunction:: default_text_editor
